package com.faraphel.tasks_valider.connectivity.wifi_p2p

import java.util.concurrent.Callable


/**
 * This class contain the information required to store a listener in the WifiP2pHelper class to correctly handle events.
 * @param CallbackType: the type of the callback function
 * @param callback: the function to call when the event is triggered
 * @param once: should the listener be called only once ?
 */
class WifiP2pHelperListenerInfo<CallbackType>(
    val callback: CallbackType,
    val once: Boolean,
)
